Bug 169734 - duplicate keyboard shortcuts in Czech locale
duplicate keyboard shortcuts in Czech locale
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 09:56 EDT by Radek Bíba
Modified: 2013-07-02 19:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.6.1a-0.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 07:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-10-02 09:56:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
mc enables users to select menu items by opening the appropriate menu and pressing
the highlighted key. However, some keys are duplicate in some menus so users
cannot access those menu items that have the same shortcut as the first menu item
with the sortcut. To be specific, menus for "Levy" and "Pravy" (Left and Right
panels) have shortcut 'P' for "Poradi" and "FTP spojeni" (Sort order and FTP link) 
and menu Soubor (File) has shortcut 'A' for "EditovAt" and "novy Adresar" (Edit
and Mkdir) so there's no way to launch the FTP link dialog from menu Left or Right
(pressing 'P' always opens the Sort order dialog) and to launch the Mkdir dialog
from menu File (pressing 'A' always runs editor) - one has to jump there using the
arrow keys and Enter or use mouse.

Version-Release number of selected component (if applicable):
mc-4.6.1-2.FC3

How reproducible:
Always

Steps to Reproduce:
1. have Czech locale set and run mc or run LC_ALL=cs_CZ.UTF-8 mc
2. press F9 and open either "Levy" (Left) or "Pravy" (Right) menu
3. look at the highlighted keys for "Poradi" and "FTP spojeni" - the same

2b. press F9 and open the "Soubor" menu
3b. look at the highlighted keys for "editovAt" and "novy Adresar" - the same
  

Actual Results:  duplicate shortcut keys

Expected Results:  unique shortcut keys

Additional info:

mc in FC4 is affected too
Comment 1 Jindrich Novy 2005-10-02 10:44:48 EDT
Found yet more duplicated keyboard shortcuts in mcedit menu for the Czech
translation:

1) Edit/Znacit sloupcove and Edit/na Zacatek,
2) Prikaz/jit na Parovou zavorku and Prikaz/Provest makro
3) Prikaz/Smazat makro and Prikaz/Setridit
4) Prikaz/Vlozit Datum/cas Prikaz/oDeslat...
5) conflict of Prikaz/Ukoncit zaznam makra and untranslated Prikaz/Paste oUtput
of...

Thanks for pointing this out.
Comment 2 Jindrich Novy 2005-10-03 07:32:43 EDT
Fixed.
Comment 3 Radek Bíba 2005-10-03 09:11:18 EDT
Oh, actually not.

* You've changed "prohleDnout soubor..." to "prohLednout soubor...". There
wasn't any problem with 'D' keyboard shortcut in menu "Soubor".

* "editovAt" and "novy Adresar" stayed unchanged.

And when it comes to the changes in mcedit menu keyboard shortcuts (another
duplicates found by you and higlighted characters in lower case), there are
another two issues:

* you've changed (Edit/) "Znacit sloupcove" to "Znacit sloupcove" ('n' is
highlighted but in lower case) - should be "zNacit sloupcove"

* (Edit/) "Kopirovat" and "na Konec" is another duplicate, shortcut 'K'

reopening...
Comment 4 Jindrich Novy 2005-10-03 09:44:47 EDT
Ok, now *FIXED* ;)

Comment 5 Radek Bíba 2005-10-05 05:52:55 EDT
I'm very sorry, but I got an idea to review keyboard shortcuts in dialogs too;
there are another duplicates. Beat me, kill me :)

levy or pravy -> rezim vypisu: Zhusteny seznam souboru & Zrusit
levy or pravy -> poradi: Pripona & cas Pristupu & Pozpatku


Some more higlighted characters in lower case remain, please run:

grep '^msgstr.*&[a-z]' cs.po

to find them. (I found nine)

Should be all.
Comment 6 Jindrich Novy 2005-10-05 07:42:30 EDT
Radek, this is now fixed by a patch I sent upstream:

http://mail.gnome.org/archives/mc-devel/2005-October/msg00019.html

Note You need to log in before you can comment on or make changes to this bug.